Bug 817002 - SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the file psched.
SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the file psc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ccfd00e64d4fc31d113e750a560...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 08:21 EDT by John L Magee
Modified: 2012-06-22 09:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 09:24:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John L Magee 2012-04-27 08:21:16 EDT
libreport version: 2.0.8
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.2-6.fc16.x86_64
reason:         SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the file psched.
time:           Fri 27 Apr 2012 08:21:06 AM EDT

description:
:SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the file psched.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that python2.7 should be allowed read access on the psched file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep rhsmcertd-worke /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:rhsmcertd_t:s0
:Target Context                system_u:object_r:proc_net_t:s0
:Target Objects                psched [ file ]
:Source                        rhsmcertd-worke
:Source Path                   /usr/bin/python2.7
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           python-2.7.3-1.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-86.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.2-6.fc16.x86_64
:                              #1 SMP Sat Apr 21 12:43:20 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Fri 27 Apr 2012 08:15:30 AM EDT
:Last Seen                     Fri 27 Apr 2012 08:15:30 AM EDT
:Local ID                      d1b83cb9-2ead-4103-8711-56a2d1a8a944
:
:Raw Audit Messages
:type=AVC msg=audit(1335528930.868:82): avc:  denied  { read } for  pid=2170 comm="rhsmcertd-worke" name="psched" dev="proc" ino=4026531978 scontext=system_u:system_r:rhsmcertd_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
:
:
:type=AVC msg=audit(1335528930.868:82): avc:  denied  { open } for  pid=2170 comm="rhsmcertd-worke" name="psched" dev="proc" ino=4026531978 scontext=system_u:system_r:rhsmcertd_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1335528930.868:82): arch=x86_64 syscall=open success=yes exit=ECHILD a0=7fff29664440 a1=0 a2=1b6 a3=238 items=0 ppid=2079 pid=2170 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=rhsmcertd-worke exe=/usr/bin/python2.7 subj=system_u:system_r:rhsmcertd_t:s0 key=(null)
:
:Hash: rhsmcertd-worke,rhsmcertd_t,proc_net_t,file,read
:
:audit2allow
:
:#============= rhsmcertd_t ==============
:allow rhsmcertd_t proc_net_t:file { read open };
:
:audit2allow -R
:
:#============= rhsmcertd_t ==============
:allow rhsmcertd_t proc_net_t:file { read open };
:

Note You need to log in before you can comment on or make changes to this bug.